# Uses of Interface
org.springframework.aop.ProxyMethodInvocation

Packages that use ProxyMethodInvocation
Package
Description
org.springframework.aop.aspectj
AspectJ integration package.
org.springframework.aop.framework
Package containing Spring's basic AOP infrastructure, compliant with the AOP Alliance interfaces.

## Uses of ProxyMethodInvocation in org.springframework.aop.aspectj

Methods in org.springframework.aop.aspectj with parameters of type ProxyMethodInvocation
Modifier and Type
Method
Description
`protected org.aspectj.weaver.tools.JoinPointMatch`
AbstractAspectJAdvice.`getJoinPointMatch(ProxyMethodInvocation pmi)`
`protected org.aspectj.lang.ProceedingJoinPoint`
AspectJAroundAdvice.`lazyGetProceedingJoinPoint(ProxyMethodInvocation rmi)`
Return the ProceedingJoinPoint for the current invocation, instantiating it lazily if it hasn't been bound to the thread already.
Constructors in org.springframework.aop.aspectj with parameters of type ProxyMethodInvocation
Modifier
Constructor
Description
``
`MethodInvocationProceedingJoinPoint(ProxyMethodInvocation methodInvocation)`
Create a new MethodInvocationProceedingJoinPoint, wrapping the given Spring ProxyMethodInvocation object.

## Uses of ProxyMethodInvocation in org.springframework.aop.framework

Classes in org.springframework.aop.framework that implement ProxyMethodInvocation
Modifier and Type
Class
Description
`class`
`ReflectiveMethodInvocation`
Spring's implementation of the AOP Alliance `MethodInvocation` interface, implementing the extended `ProxyMethodInvocation` interface.